| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::poll_results::answer_count Struct Reference

Represents a reference to an answer and its count of votes. More...

`#include <message.h>`

Collaboration diagram for dpp::poll_results::answer_count:
[legend]

## Public Attributes

uint32_t | answer_id {0}
| ID of the answer. Relates to an answer in the answers field.
uint32_t | count {0}
| Number of votes for this answer.
bool | me_voted {false}
| Whether the current user voted.

## Detailed Description

Represents a reference to an answer and its count of votes.

See also
  https://discord.com/developers/docs/resources/poll#poll-results-object-poll-answer-count-object-structure

## Member Data Documentation

## ◆ answer_id

uint32_t dpp::poll_results::answer_count::answer_id {0}

ID of the answer. Relates to an answer in the answers field.

See also
  poll_answer::answer_id

## ◆ count

uint32_t dpp::poll_results::answer_count::count {0}

Number of votes for this answer.

## ◆ me_voted

bool dpp::poll_results::answer_count::me_voted {false}

Whether the current user voted.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0